<?php
/**
 * Part template
 *
 * @package stockist
 */

 echo get_post_type();

while ( have_posts() ) { ?>

	<?php the_post(); ?>
	
	<?php if ( has_post_thumbnail() ) { ?>
		
		<?php
    		$thumbnail_image = productive_ecommerce_get_attachment_by_thumbnail_id( get_post_thumbnail_id(), 'full', PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE );
		?>
		<div class="main-top-featured-content">
		   <div class="main-top-featured-image" style="background-image: url(<?php echo esc_url( $thumbnail_image ); ?>)">
                        <div>
                                <h1><span class="main-product-title"><?php esc_html( the_title() ); ?></span></h1>
                        </div>
		   </div>
	   </div>
	   
	   <?php } else { ?>
                <h1 class="wc-page-title"><?php esc_html( the_title() ); ?></h1>
           <?php } ?>
	
            <div class="blog-post-single-metadata-container">
            <?php // post attributes. ?>
            <?php if ( is_single() && get_post_type() == 'post' ) { ?>
                    <div class="blog-post-attributes">
                        <?php if ( has_category() ) { ?>
                        <div class="blog-post-attributes-category">
                                <?php echo __( 'Posted in ', 'stockist' ); ?>
                                <?php the_category( ' | ' ); ?>
                        </div>
                        <?php } ?>
                        
                        <div class="blog-post-attributes-author">    			
                                <?php echo __( 'By ', 'stockist' ); ?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" ><?php echo esc_html( get_the_author() ); ?></a>
                                - <?php echo __( 'Last updated on ', 'stockist' ); ?> <span class="blog-post-date"><?php esc_html(the_modified_date() ); ?></>
                        </div>
                    </div> 
                <?php } ?>
            </div>
            <div <?php post_class(); ?> id="post-<?php echo esc_attr( the_ID() ); ?>">
                    <?php the_content(); ?>
            </div>
	<?php
	  // hide pagination & comments for woocommerce product details.
	if ( ! productive_ecommerce_is_product() ) {

		   wp_link_pages();

		if ( is_single() ) {
			get_template_part( 'template-parts/prev-next' );
		}

		if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) {
			comments_template( '/comments.php' );
		}
	}
	?>

<?php 
}